=== added directory 'product_customer_code_invoice'
=== added file 'product_customer_code_invoice/__init__.py'
--- product_customer_code_invoice/__init__.py	1970-01-01 00:00:00 +0000
+++ product_customer_code_invoice/__init__.py	2013-12-18 17:14:55 +0000
@@ -0,0 +1,21 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>)
+#    Author: Nicola Malcontenti <nicola.malcontenti@agilebg.com>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+import account_invoice

=== added file 'product_customer_code_invoice/__openerp__.py'
--- product_customer_code_invoice/__openerp__.py	1970-01-01 00:00:00 +0000
+++ product_customer_code_invoice/__openerp__.py	2013-12-18 17:14:55 +0000
@@ -0,0 +1,40 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>)
+#    Author: Nicola Malcontenti <nicola.malcontenti@agilebg.com>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    "name" : "Product Customer code on sale",
+    "version" : "1.0",
+    "author" : "Nicola Malcontenti - AgileBG",
+    "website" : "http://www.agilebg.com",
+    "category" : "Account",
+    "depends" : [
+        'base',
+        'product',
+        'account',
+        'product_customer_code'
+    ],
+    "description": "",
+    "demo" : [],
+    "data" : [
+        'account_invoice.xml',
+    ],
+    'installable' : True,
+    'active' : False,
+}
\ No newline at end of file

=== added file 'product_customer_code_invoice/account_invoice.py'
--- product_customer_code_invoice/account_invoice.py	1970-01-01 00:00:00 +0000
+++ product_customer_code_invoice/account_invoice.py	2013-12-18 17:14:55 +0000
@@ -0,0 +1,50 @@
+# -*- coding: utf-8 -*-
+##############################################################################
+#
+#    Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>)
+#    Author: Nicola Malcontenti <nicola.malcontenti@agilebg.com>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as published
+#    by the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+from openerp.osv import fields, orm
+
+class account_invoice(orm.Model):
+    _inherit = 'account.invoice'
+    
+    def _get_product_customer_code(self, cr, uid, ids,
+                                  name, args, context=None):
+        if context is None:
+            context = {}
+        res = {}
+        product_customer_code_obj = self.pool.get('product.customer.code')
+        for line in self.browse(cr, uid, ids, context=context):
+            res[line.id] = ''
+            partner = line.order_id.partner_id
+            product = line.product_id
+            if product and partner:
+                code_ids = product_customer_code_obj.search(cr, uid, [
+                    ('product_id', '=', product.id),
+                    ('partner_id', '=', partner.id),
+                    ], limit=1, context=context)
+                if code_ids:
+                    code = product_customer_code_obj.browse(cr, uid,
+                        code_ids[0], context=context).code or ''
+                    res[line.id] = code
+        return res
+    
+    _columns = {
+        'product_customer_code': fields.function(_get_product_customer_code,
+            string='Product Customer Code', type='char', size=64),
+    }
\ No newline at end of file

=== added file 'product_customer_code_invoice/account_invoice_view.xml'
--- product_customer_code_invoice/account_invoice_view.xml	1970-01-01 00:00:00 +0000
+++ product_customer_code_invoice/account_invoice_view.xml	2013-12-18 17:14:55 +0000
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!--
+  product customer code invoice for OpenERP
+  Copyright (C) 2013 Agile Business Group sagl (<http://www.agilebg.com>).
+    Authors, Nicola Malcontenti, nicola.malcontenti@agilebg.com
+  The licence is in the file __openerp__.py
+-->
+<openerp>
+    <data>
+        <record id="view_invoice_form" model="ir.ui.view">
+            <field name="name">account.invoice.form</field>
+            <field name="model">account.invoice</field>
+            <field name="inherit_id" ref="account_invoice.invoice_form"/>
+            <field eval="16" name="priority"/>
+            <field name="arch" type="xml">
+                <xpath expr="//form//field[@name='product_id']" position="after">
+                    <field name="product_customer_code"/>    	
+                </xpath>
+            </field>
+        </record>
+    </data>
+</openerp>
\ No newline at end of file

